package com.goldenwater.slaj.hazard.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.goldenwater.slaj.hazard.mapper.TDictMajorBuildingMapper;
import com.goldenwater.slaj.hazard.domain.TDictMajorBuilding;
import com.goldenwater.slaj.hazard.service.ITDictMajorBuildingService;

/**
 * 重大建筑物字典 服务层实现
 */
@Service
public class TDictMajorBuildingServiceImpl implements ITDictMajorBuildingService {

    @Autowired
    private TDictMajorBuildingMapper tDictMajorBuildingMapper;

    @Override
    public TDictMajorBuilding selectTDictMajorBuildingByGuid(String guid) {
        return tDictMajorBuildingMapper.selectTDictMajorBuildingByGuid(guid);
    }

    @Override
    public List<TDictMajorBuilding> selectTDictMajorBuildingList(TDictMajorBuilding tDictMajorBuilding) {
        return tDictMajorBuildingMapper.selectTDictMajorBuildingList(tDictMajorBuilding);
    }

    @Override
    public int insertTDictMajorBuilding(TDictMajorBuilding tDictMajorBuilding) {
        return tDictMajorBuildingMapper.insertTDictMajorBuilding(tDictMajorBuilding);
    }

    @Override
    public int updateTDictMajorBuilding(TDictMajorBuilding tDictMajorBuilding) {
        return tDictMajorBuildingMapper.updateTDictMajorBuilding(tDictMajorBuilding);
    }

    @Override
    public int deleteTDictMajorBuildingByGuid(String guid) {
        return tDictMajorBuildingMapper.deleteTDictMajorBuildingByGuid(guid);
    }

    @Override
    public int deleteTDictMajorBuildingByGuids(String[] guids) {
        return tDictMajorBuildingMapper.deleteTDictMajorBuildingByGuids(guids);
    }
}
